@import "variables";

.footer {
  background: black;
  display: flex;
  align-items: center;
  flex-direction: column;
  width: 100%;

  &__title {
    color: #FEFEFE;
    margin-top: 38px;
    text-transform: uppercase;
    position: relative;
    margin-block-end: 0;

    &::before,
    &::after {
      content: "";
      width: 4px;
      height: 1px;
      left: 23px;
    }
  }

  &__description {
    text-align: center;
    color: #B9B9B9;
    max-width: 303px;
    font-size: 16px;
    line-height: 20px;
  }

  &__expanded {
    display: none;
  }
}

.social-media {
  margin-top: 26px;

  &__icon {
    width: 34px;
    margin-right: 6px;

    &:last-child {
      margin-right: 0;
    }
  }
}

.contact-info {
  font-size: 14px;
  line-height: 24px;
  color: #B9B9B9;
  margin-top: 26px;
  display: flex;
  flex-direction: column;
  align-items: center;

  &__item {
    position: relative;

    &::after {
      position: absolute;
      content: "/";
      right: -10px
    }

    &:last-child::after {
      content: ""
    }

  }
}

@media screen and (min-width: $tb-min) {
  .footer {

    &__description {
      text-align: center;
      color: #B9B9B9;
      max-width: 684px;
      font-size: 16px;
      line-height: 28px;
    }

    &__expanded {
      display: inline;
    }
  }
  .social-media {
    margin-top: 37px;
  }
  .contact-info {
    font-size: 16px;
    line-height: 26px;
    margin-top: 34px;
    flex-direction: row;
    justify-content: space-evenly;
    width: $tb-min - 190px;
  }
}
